using Encompass;
using KavTest.Components;
using KavTest.Messages;

namespace KavTest.Spawners
{
    public class StaticModelSpawner : Spawner<StaticModelSpawnMessage>
    {
        protected override void Spawn(in StaticModelSpawnMessage message)
        {
            var entity = CreateEntity();

            AddComponent(entity, new Transform3DComponent(message.Transform));
            AddComponent(entity, new ModelComponent(message.Model));
        }
    }
}
